> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Report Ad Activity

> Report player's ad activity

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidAdPlacementAndReward | 1268 |




## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/ReportAdActivity
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/ReportAdActivity:
    post:
      tags:
        - Advertising
      summary: Report Ad Activity
      description: |
        Report player's ad activity

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | InvalidAdPlacementAndReward | 1268 |
      operationId: ReportAdActivity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportAdActivityRequest'
        description: Report ad activity
      responses:
        '200':
          $ref: '#/components/responses/ReportAdActivityResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    ReportAdActivityRequest:
      description: Report ad activity
      type: object
      properties:
        Activity:
          allOf:
            - $ref: '#/components/schemas/AdActivity'
          description: Type of activity, may be Opened, Closed, Start or End
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        PlacementId:
          description: Unique ID of the placement to report for
          type: string
        RewardId:
          description: Unique ID of the reward the player was offered
          type: string
      required:
        - PlacementId
        - RewardId
        - Activity
      example:
        PlacementId: A124572382B
        RewardId: B2674981A
        Activity: End
    AdActivity:
      type: string
      enum:
        - Opened
        - Closed
        - Start
        - End
    ReportAdActivityResult:
      description: Report ad activity response has no body
      type: object
      properties: {}
      example: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    ReportAdActivityResult:
      description: Report ad activity response has no body
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ReportAdActivityResult'
            example:
              code: 200
              status: OK
              data: {}
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Report Ad Activity](/services/playfab/api-references/rest/client/advertising/report-ad-activity.md)
- [Getting started with rewarded Ads.](/services/playfab/economy-monetization/rewarded-ads/quickstart.md)
- [Reward Ad Activity](/services/playfab/api-references/rest/client/advertising/reward-ad-activity.md)
- [Get Ad Placements](/services/playfab/api-references/rest/client/advertising/get-ad-placements.md)
- [Activities](/services/xbox-services/multiplayer/mpa/concepts/live-mpa-activities.md)
